------------------------------------------------------------------------------
class 'l_MoreGamesScreen' (BaseScreen)

function l_MoreGamesScreen:__init(name, screen)
	BaseScreen.__init(self, name, screen)
	
	-- buttons 
	do
		local bttn_close = self:CreateButton('bttn_close', nil, KEY_ESCAPE)
	    bttn_close:SetAction('OnCloseButtonClick', self)
	end
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnUpdate(dt)
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnObjectMouseEnter(object)

end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnObjectMouseLeave(object)

end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnScreenObjectMouseDown(object)
	if object and object:GetName() == 'fade' and self.screen:GetOpacity() == 1 then
		self:OnCloseButtonClick()
	end
end

function l_MoreGamesScreen:OnButtonMouseEnter(buttonName)
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnButtonMouseLeave(buttonName)
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnButtonPress(buttonName)
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnCloseButtonClick()
    PopUpScreensMgr:Pop()
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnObjectMouseUp(object)
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnLoaded()
end
--------------------------------------------------------------------------------

function l_MoreGamesScreen:OnDestroy()
end
--------------------------------------------------------------------------------

function CreateMoreGamesScreen()
    local screen = CreateScriptedScreen('data/Scripts/screens/MoreGamesScreen.lua', 'l_MoreGamesScreen');
    PopUpScreensMgr:Push(screen, false) 
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function l_MoreGamesScreen:LoadData(screen)
	local anim
	anim = CreateAnimation('data/Texture/GUI/MoreGames/layers/MoreGamesBackground.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Background',anim,512,384,100,0,1,1)
	
	anim = CreateAnimation('data/Texture/GUI/MoreGames/buttons/bttn_close.png',0,0,150,148,3,0)
	anim:SetHotSpot(75,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bttn_close',anim,944,76,120,0,1,1)
	
end
-- CLEAR_ON_SAVE_END
